--- ./administrator/source/linux/MABackupPanel.cc.00	2008-09-12 07:55:33.000000000 -0700
+++ ./administrator/source/linux/MABackupPanel.cc	2009-01-08 11:58:57.890000017 -0800
@@ -1282,7 +1282,7 @@
 
   if (_inst->check_connection())
   {
-    SigC::Connection con= Glib::signal_timeout().connect(sigc::bind<void*>
+    sigc::connection con= Glib::signal_timeout().connect(sigc::bind<void*>
                                                          (sigc::mem_fun(*this, &MABackupPanel::update_backup_progress),&arg.pdata),
                                                          50);
     dlg->show();
--- ./administrator/source/linux/MACatalogsPanel.cc.00	2008-09-12 07:55:33.000000000 -0700
+++ ./administrator/source/linux/MACatalogsPanel.cc	2009-01-08 11:58:57.900000029 -0800
@@ -1488,7 +1488,7 @@
 
       _maint_dlg_xml->get_button("next_button")->set_sensitive(false);
       _maint_dlg_xml->get_note("note")->set_current_page(4);
-      SigC::Connection conn = Glib::signal_timeout().connect(sigc::mem_fun(*this, &MACatalogsPanel::maint_pulse_progressbar), 200);
+      sigc::connection conn = Glib::signal_timeout().connect(sigc::mem_fun(*this, &MACatalogsPanel::maint_pulse_progressbar), 200);
 
       status= (MYX_TABLE_COMMAND_STATUSES*)
         _data->get_instance()->perform_data_fetch3((MInstanceInfo::DataFetcher3)myx_optimize_table,
@@ -1528,7 +1528,7 @@
 
       _maint_dlg_xml->get_button("next_button")->set_sensitive(false);
       _maint_dlg_xml->get_note("note")->set_current_page(4);      
-      SigC::Connection conn = Glib::signal_timeout().connect(sigc::mem_fun(*this, &MACatalogsPanel::maint_pulse_progressbar), 200);
+      sigc::connection conn = Glib::signal_timeout().connect(sigc::mem_fun(*this, &MACatalogsPanel::maint_pulse_progressbar), 200);
 
       status= (MYX_TABLE_COMMAND_STATUSES*)
         _data->get_instance()->perform_data_fetch3((MInstanceInfo::DataFetcher3)myx_check_table,
@@ -1568,7 +1568,7 @@
 
       _maint_dlg_xml->get_button("next_button")->set_sensitive(false);
       _maint_dlg_xml->get_note("note")->set_current_page(4);
-      SigC::Connection conn = Glib::signal_timeout().connect(sigc::mem_fun(*this, &MACatalogsPanel::maint_pulse_progressbar), 200);
+      sigc::connection conn = Glib::signal_timeout().connect(sigc::mem_fun(*this, &MACatalogsPanel::maint_pulse_progressbar), 200);
 
       status= (MYX_TABLE_COMMAND_STATUSES*)
         _data->get_instance()->perform_data_fetch3((MInstanceInfo::DataFetcher3)myx_repair_table,
--- ./administrator/source/linux/MAdministrator.h.00	2008-09-12 07:55:33.000000000 -0700
+++ ./administrator/source/linux/MAdministrator.h	2009-01-08 11:58:57.900000048 -0800
@@ -66,7 +66,7 @@
 
     sigc::signal0<void> _signal_prefs_changed;
     
-    SigC::Connection _pulse_conn;
+    sigc::connection _pulse_conn;
     bool pulse_progress();
     
     void setup_sidebar();
--- ./administrator/source/linux/MARestorePanel.cc.00	2008-09-12 07:55:34.000000000 -0700
+++ ./administrator/source/linux/MARestorePanel.cc	2009-01-08 11:58:57.910000013 -0800
@@ -728,7 +728,7 @@
   op_aborted= false;
 
   {
-    SigC::Connection con= Glib::signal_timeout().connect(sigc::bind<void*>
+    sigc::connection con= Glib::signal_timeout().connect(sigc::bind<void*>
                                                          (sigc::mem_fun(*this, &MARestorePanel::update_status),&arg.pdata),
                                                          50);
 
@@ -854,7 +854,7 @@
   //{
     MYX_BACKUP_ERROR err;
 
-    SigC::Connection con= Glib::signal_timeout().connect(sigc::bind<void*>
+    sigc::connection con= Glib::signal_timeout().connect(sigc::bind<void*>
                                                          (sigc::mem_fun(*this, &MARestorePanel::update_status),&arg.pdata),
                                                          50);
 
--- ./administrator/source/linux/MAServerConnectionsPanel.h.00	2008-09-12 07:55:33.000000000 -0700
+++ ./administrator/source/linux/MAServerConnectionsPanel.h	2009-01-08 11:58:57.910000032 -0800
@@ -87,7 +87,7 @@
 
     Glib::RefPtr<Gdk::Pixbuf> _thread_icon;
 
-    SigC::Connection _timer;
+    sigc::connection _timer;
     
     int _current_page;
 
--- ./common/library/base-library/include/myx_const_string.h.00	2005-10-25 13:14:45.000000000 -0700
+++ ./common/library/base-library/include/myx_const_string.h	2009-01-08 11:58:57.910000050 -0800
@@ -19,6 +19,7 @@
 # define _myx_const_string_h
 
 #include <string.h>
+#include <strings.h>
 #include "myx_util_functions.h"
 
 ///////////////////////////////////////////////////////////////////////////////
--- ./common/library/utilities/include/myx_util_functions.h.00	2006-09-20 08:26:07.000000000 -0700
+++ ./common/library/utilities/include/myx_util_functions.h	2009-01-08 11:58:57.920000055 -0800
@@ -22,6 +22,7 @@
 #include <iconv.h>
 #include <sys/types.h>
 #include <string.h>
+#include <strings.h>
 #include <errno.h>
 #include <stdio.h>
 
--- ./common/source/linux/myg_gtk_utils.cc.00	2005-03-13 05:16:59.000000000 -0800
+++ ./common/source/linux/myg_gtk_utils.cc	2009-01-08 11:58:57.930000011 -0800
@@ -24,6 +24,7 @@
 #include "mygpriv.h"
 
 #include <string.h>
+#include <strings.h>
 #include <glib.h>
 #include <gtk/gtk.h>
 
--- ./common/source/linux/Makefile.am.00	2006-09-05 15:04:50.000000000 -0700
+++ ./common/source/linux/Makefile.am	2009-01-08 11:58:57.930000037 -0800
@@ -12,9 +12,7 @@
         myg_utils.cc\
 	MGAboutPanel.cc\
 	MYXInterface.cc\
-	MGExecSU.cc\
 	MGGladeXML.cc\
-	MGConnectDialog.cc\
 	MGBrowserList.cc\
 	MGFileBrowserList.cc\
 	MGTableBrowserList.cc\
@@ -42,7 +40,6 @@
 	MYXInterface.cc\
 	MYXResultSet.cc\
 	MGGladeXML.cc\
-	MGConnectDialog.cc\
 	MGBrowserList.cc\
 	MGFileBrowserList.cc\
 	MGTableBrowserList.cc\
@@ -58,8 +55,7 @@
 	MGSchemaBrowserHelper.cc\
 	MDispatcher.cc\
 	MGBlobEditor.cc\
-	MGCharsetPickDialog.cc\
-	MGTreeTooltip.cc
+	MGCharsetPickDialog.cc
 
 
 if BUILD_GC
@@ -130,5 +126,4 @@
 
 #texecsu_CXXFLAGS=-DTEST
 #texecsu_LDADD=@GNOME_LIBS@ -L. -lmacommongui -lutil @MYSQL_LIBS@
-#texecsu_SOURCES=MGExecSU.cc
 #
--- ./common/source/linux/MGConnectDialog.cc.00	2006-12-05 14:44:08.000000000 -0800
+++ ./common/source/linux/MGConnectDialog.cc	2009-01-08 11:58:57.930000064 -0800
@@ -659,9 +659,9 @@
   // select back the original item
   ((Gtk::OptionMenu*)_xml->get_widget("connection_list"))->set_history(_current_selected_item);
 
-  SigC::Connection c1= MGPreferencesEditor::instance()->signal_closed().connect(sigc::mem_fun(*this,
+  sigc::connection c1= MGPreferencesEditor::instance()->signal_closed().connect(sigc::mem_fun(*this,
                                                                                            &MGConnectDialog::preferences_closed));
-  SigC::Connection c2= MGPreferencesEditor::instance()->signal_changed().connect(sigc::mem_fun(*this,
+  sigc::connection c2= MGPreferencesEditor::instance()->signal_changed().connect(sigc::mem_fun(*this,
                                                                                             &MGConnectDialog::preferences_changed));
   MGPreferencesEditor::instance()->show(true);
   MGPreferencesEditor::instance()->set_modal(true);
@@ -676,7 +676,7 @@
 {
   Gtk::Button *btn;
   pid_t ping_pid= 0;
-  SigC::Connection input_handler;
+  sigc::connection input_handler;
   int rc;
   bool pinging= false;
   int myerror= 0;
--- ./common/source/linux/MGTreeTooltip.h.00	2005-10-07 04:31:36.000000000 -0700
+++ ./common/source/linux/MGTreeTooltip.h	2009-01-08 11:58:57.940000009 -0800
@@ -39,7 +39,7 @@
     
     WillShowSignal _show_signal;
     
-    SigC::Connection _timeout;
+    sigc::connection _timeout;
 
     void expose_event(GdkEventExpose *event);
     void leave_event(GdkEventCrossing *event);
--- ./common/configure.in.00	2007-06-19 04:56:22.000000000 -0700
+++ ./common/configure.in	2009-01-08 11:58:57.940000033 -0800
@@ -4,7 +4,6 @@
 
 AC_CONFIG_HEADER(config.h)
 
-
 # Set some common flags for gcc
 CFLAGS="$CFLAGS -Wall -Wsign-compare"
 CXXFLAGS="$CXXFLAGS -Wall"
@@ -354,6 +353,8 @@
 	DLMAKE="gcc -arch i386 -arch ppc -dynamiclib -flat_namespace -undefined suppress"
 elif test "$(uname -s)" = "SunOS"; then
 	DLMAKE="gcc -shared -mimpure-text"
+elif test "$(uname -s)" = "SCO_SV"; then
+	DLMAKE="cc -G"
 else
 	DLMAKE="gcc -shared"
 fi 
--- ./common/autogen.sh.00	2005-04-11 19:46:05.000000000 -0700
+++ ./common/autogen.sh	2009-01-08 11:58:57.940000057 -0800
@@ -112,7 +112,7 @@
 
       aclocalinclude="$ACLOCAL_FLAGS"
 
-      if grep "^AM_GLIB_GNU_GETTEXT" configure.in >/dev/null; then
+      if grep "AM_GLIB_GNU_GETTEXT" configure.in >/dev/null; then
 	echo "Creating $dr/aclocal.m4 ..."
 	test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
 	echo "Running glib-gettextize...  Ignore non-fatal messages."
@@ -120,15 +120,15 @@
 	echo "Making $dr/aclocal.m4 writable ..."
 	test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
       fi
-      if grep "^AC_PROG_INTLTOOL" configure.in >/dev/null; then
+      if grep "AC_PROG_INTLTOOL" configure.in >/dev/null; then
         echo "Running intltoolize..."
 	intltoolize --copy --force --automake
       fi
-      if grep "^AM_PROG_XML_I18N_TOOLS" configure.in >/dev/null; then
+      if grep "AM_PROG_XML_I18N_TOOLS" configure.in >/dev/null; then
         echo "Running xml-i18n-toolize..."
 	xml-i18n-toolize --copy --force --automake
       fi
-      if grep "^AM_PROG_LIBTOOL" configure.in >/dev/null; then
+      if grep "AM_PROG_LIBTOOL" configure.in >/dev/null; then
 	if test -z "$NO_LIBTOOLIZE" ; then 
 	  echo "Running libtoolize..."
 	  libtoolize --force --copy
@@ -136,7 +136,7 @@
       fi
       echo "Running aclocal $aclocalinclude ..."
       aclocal $aclocalinclude
-      if grep "^AM_CONFIG_HEADER" configure.in >/dev/null; then
+      if grep "AM_CONFIG_HEADER" configure.in >/dev/null; then
 	echo "Running autoheader..."
 	autoheader
       fi
@@ -148,7 +148,8 @@
   fi
 done
 
-conf_flags="--enable-maintainer-mode"
+#conf_flags="--enable-maintainer-mode"
+conf_flags=""
 
 if test x$NOCONFIGURE = x; then
   echo Running $srcdir/configure $conf_flags "$@" ...
--- ./common/Makefile.am.00	2006-05-11 12:23:45.000000000 -0700
+++ ./common/Makefile.am	2009-01-08 11:58:57.950000005 -0800
@@ -1,3 +1,3 @@
 
-SUBDIRS=library tools source res images po 
+SUBDIRS=library tools source res images
 
--- ./migration-tool/source/linux/GRTEnvironment.cc.00	2005-03-13 06:19:21.000000000 -0800
+++ ./migration-tool/source/linux/GRTEnvironment.cc	2009-01-08 11:58:57.970000013 -0800
@@ -76,7 +76,7 @@
 }
 
 
-void GRTEnvironment::set_shell_output_handler(const SigC::Slot1<void,const Glib::ustring&> &slot)
+void GRTEnvironment::set_shell_output_handler(const sigc::slot1<void,const Glib::ustring&> &slot)
 {
   _shellOutputHandler= slot;
 
--- ./migration-tool/source/linux/GRTEnvironment.h.00	2005-03-13 06:19:21.000000000 -0800
+++ ./migration-tool/source/linux/GRTEnvironment.h	2009-01-08 11:58:57.980000010 -0800
@@ -28,7 +28,7 @@
     int _msgOffset;
     std::vector<Glib::ustring> _sourceObjectNames;
 
-    SigC::Slot1<void,const Glib::ustring&> _shellOutputHandler;
+    sigc::slot1<void,const Glib::ustring&> _shellOutputHandler;
     
     static void process_shell_output(const char *text, void *udata);
         
@@ -42,7 +42,7 @@
     int init_jni(const std::string &classpath);
     int execute_shell_command(const Glib::ustring &command);
 
-    void set_shell_output_handler(const SigC::Slot1<void,const Glib::ustring&> &slot);
+    void set_shell_output_handler(const sigc::slot1<void,const Glib::ustring&> &slot);
 
     MYX_GRT_OBJ *get_object(const Glib::ustring &name);
     bool object_implements_interface(MYX_GRT_OBJ *obj, const Glib::ustring &name);
--- ./migration-tool/source/linux/ObjectShell.cc.00	2005-03-13 06:19:21.000000000 -0800
+++ ./migration-tool/source/linux/ObjectShell.cc	2009-01-08 11:58:58.010000010 -0800
@@ -45,7 +45,7 @@
 
   tree->set_model(_otree);
   
-  tree->get_selection()->signal_changed().connect(SigC::slot(*this,&ObjectShell::object_selected));
+  tree->get_selection()->signal_changed().connect(sigc::slot(*this,&ObjectShell::object_selected));
   
   
   tree= _xml->get_tree("inspector_tree");
@@ -57,9 +57,9 @@
 
   tree->set_model(_ilist);
 
-  _xml->get_text("shell_text")->signal_key_press_event().connect(SigC::slot(*this,&ObjectShell::shell_key_press), false);
+  _xml->get_text("shell_text")->signal_key_press_event().connect(sigc::slot(*this,&ObjectShell::shell_key_press), false);
   
-  env->set_shell_output_handler(SigC::slot(*this,&ObjectShell::print_shell));
+  env->set_shell_output_handler(sigc::slot(*this,&ObjectShell::print_shell));
   
   put_prompt();
 }
--- ./migration-tool/build_mt_script.sh.00	2007-03-30 17:30:53.000000000 -0700
+++ ./migration-tool/build_mt_script.sh	2009-01-08 11:58:58.050000008 -0800
@@ -2,19 +2,13 @@
 version=$(grep version= source/scripts/MigrationScript.lua|sed -e 's/.*"\([^"]*\)".*/\1/')
 
 libdir=lib
-if test "$(arch)" = "ppc"; then
-  target=macosx10.3-ppc
-elif test "$(arch)" = "i686"; then
-  if test "$(uname -s)" = "Linux"; then
+if test "$(uname -s)" = "Linux"; then
     target=linux-i386
-  fi
-  jarch="i386"
-elif test "$(arch)" = "x86_64"; then
-  if test "$(uname -s)" = "Linux"; then
-    target=linux-x86_64
-    libdir=lib64
-  fi
-  jarch="amd64"
+    jarch="i386"
+fi
+if test "$(uname -s)" = "SCO_SV"; then
+    target=linux-i386
+    jarch="i386"
 fi
 
 if test x"$target" = x; then
--- ./query-browser/source/linux/MQResultTab.h.00	2006-12-06 07:50:09.000000000 -0800
+++ ./query-browser/source/linux/MQResultTab.h	2009-01-08 11:58:58.090000010 -0800
@@ -45,7 +45,7 @@
 
       Gtk::Paned *paned;
 
-      SigC::Connection scroll_con;
+      sigc::connection scroll_con;
     };
     
     enum CompareAction {
@@ -71,7 +71,7 @@
 
     bool _vertical;
 
-    SigC::Connection _sync_con1, _sync_con2;
+    sigc::connection _sync_con1, _sync_con2;
 
     void scrolled(MQResultSetView *sender);
     void activated(MQResultSetView *sender);
--- ./Build-OSR6.00	2009-01-08 11:58:58.180000002 -0800
+++ ./Build-OSR6	2009-01-08 12:16:22.890000012 -0800
@@ -0,0 +1,88 @@
+#!/bin/sh
+#
+HOST=i586-sco-sysv5
+CFLAGS="-O2"
+INSTALL=/usr/gnu/bin/install
+NM=nm-p
+M4=/usr/local/bin/m4
+if [ "$1" = "-u" ]
+then
+  CC="cc -Kpthread -Kalloca"
+  CXX="CC -Kpthread -Kalloca"
+else
+  CC="gcc -D_REENTRANT"
+  CXX="g++ -D_REENTRANT"
+  CFLAGS="-I/usr/local/include -Wall"
+fi
+PATH=/usr/local/bin:/usr/gnu/bin:$PATH
+PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:/usr/lib/pkgconfig
+export CC CXX CFLAGS NM M4 INSTALL PATH PKG_CONFIG_PATH
+
+LUA_LDFLAGS="-L/usr/local/lib -llua"
+LUA_CFLAGS="-I/usr/local/include"
+export LUA_LDFLAGS LUA_CFLAGS
+
+# At least the administator configure script still thinks this is the name
+ln -s common mysql-gui-common
+ln -s administrator mysql-administrator
+ln -s query-browser mysql-query-browser
+
+# Move in the binary edited source
+mv common/library/base-library/source/myx_database_model.c.tmp \
+   common/library/base-library/source/myx_database_model.c
+# Dtox all files
+find . -type f | while read i
+do
+  gnufile $i | grep text > /dev/null && {
+    tempf=`basename $i`
+    dtox $i > /tmp/$tempf$$
+    cp /tmp/$tempf$$ $i
+    rm -f /tmp/$tempf$$
+  }
+done
+
+cd common
+MOUT=mout-configure
+rm -f $MOUT
+./autogen.sh --prefix=/usr \
+            --enable-readline \
+            --enable-grt \
+            --disable-i18n \
+            --with-lua-includes=/usr/local/include \
+            --with-lua-libs=/usr/local/lib \
+            --host=$HOST --target=$HOST --build=$HOST 2>&1 | tee $MOUT
+
+MOUT=mout
+[ "$1" ] && MOUT=mout-$1
+[ -f $MOUT ] && mv $MOUT $MOUT-prev
+make $* 2>&1 | tee $MOUT
+
+cd ../administrator
+MOUT=mout-configure
+rm -f $MOUT
+./autogen.sh --prefix=/usr \
+            --enable-readline \
+            --disable-i18n \
+            --host=$HOST --target=$HOST --build=$HOST 2>&1 | tee $MOUT
+
+MOUT=mout
+[ "$1" ] && MOUT=mout-$1
+[ -f $MOUT ] && mv $MOUT $MOUT-prev
+make $* 2>&1 | tee $MOUT
+
+cd ../query-browser
+MOUT=mout-configure
+rm -f $MOUT
+./autogen.sh --prefix=/usr \
+            --enable-readline \
+            --disable-i18n \
+            --host=$HOST --target=$HOST --build=$HOST 2>&1 | tee $MOUT
+
+MOUT=mout
+[ "$1" ] && MOUT=mout-$1
+[ -f $MOUT ] && mv $MOUT $MOUT-prev
+make $* 2>&1 | tee $MOUT
+
+cd ../migration-tool
+rm -f mout-build
+bash build_mt_script.sh 2>&1 | tee mout-build
